Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk
Class ExecutionPoint

    java.lang.Object
      com.sun.squawk.ExecutionPoint

    public final class ExecutionPoint

extends Object

An ExecutionPoint instance encapsulates the details of a point of execution including the thread, a frame offset, the method to which the frame pertains and the bytecode index of an instruction in the method. Used for printing stack traces, setting breakpoints, etc.

Field Summary
`Offset` | `bci`
`Offset` | `frame`
`Object` | `mp`

Constructor Summary
`ExecutionPoint(Offset frame, Offset bci, Object mp)`

Method Summary
`Klass` | `getKlass()` Return the klass that defined the method refered to by this ExecutionPoint.
`Method` | `getMethod()` Return the high-level Method object for the (low-level) method refered to by this ExecutionPoint.
`void` | `print(PrintStream out)` Print a one-line description of this execution point to `stream`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### frame

    public final Offset frame

### bci

    public final Offset bci

### mp

    public final Object mp

Constructor Detail

### ExecutionPoint

    public ExecutionPoint(Offset frame,
                          Offset bci,
                          Object mp)

Method Detail

### getKlass

    public Klass getKlass()

  Return the klass that defined the method refered to by this ExecutionPoint.

  Returns:
    the defining klass.

### getMethod

    public Method getMethod()

  Return the high-level Method object for the (low-level) method refered to by this ExecutionPoint. This relies on metadata data being saved in the suite for this Method.

  Returns:
    the Method or null if no metadata exists for the method.

### print

    public void print(PrintStream out)

  Print a one-line description of this execution point to `stream`. Will attempt to print the method name, if available, otherwise will print the method index and class name. Will also attempt to print the line number of the execution pint if known,

  Parameters:
    `out` - the stream to print to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"